LibreOffice: SessionManager Service Reference

LibreOffice LibreOffice 6.2 SDK API Reference

Exported Interfaces | List of all members
SessionManager Service Reference

The SessionManager service provides an interface to the session manager of the desktop. More...

`import"SessionManager.idl";`

Inheritance diagram for SessionManager:

## Exported Interfaces
interface | XSessionManagerClient
| XSessionManagerClient (of which there can only be one instance per process) provides an application's interface to the session manager. More...

## Additional Inherited Members
Public Member Functions inherited from XSessionManagerClient
void | addSessionManagerListener ([in] XSessionManagerListener xListener)
| addSessionManagerListener registers a listener for session management events More...
void | removeSessionManagerListener ([in] XSessionManagerListener xListener)
| removeSessionManagerListener deregisters a listener for session events More...
void | queryInteraction ([in] XSessionManagerListener xListener)
| queryInteraction issues a request for a user interaction slot from the session manager More...
void | interactionDone ([in] XSessionManagerListener xListener)
| interactionDone is called when a listener has finished user interaction More...
void | saveDone ([in] XSessionManagerListener xListener)
| saveDone signals that a listener has processed a save request More...
boolean | cancelShutdown ()
| Call cancelShutdown to try to cancel a desktop shutdown in progress. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

The SessionManager service provides an interface to the session manager of the desktop.

A session manager keeps track of applications that are running when the desktop shuts down and starts them again in the same state they were left when the desktop starts up the next time. To be able to do this the session manager needs cooperation from applications; applications have to provide sufficient information to be started again as well as restore the state they were left in. The normal flow of operation looks like this:

1. The user starts the desktop shutdown.
2. The session manager informs all its connected applications about the pending shutdown.
3. Each application saves its current state; while doing this it may
   - The application may request to interact with the user (e.g. to ask where to save documents). This request is necessary because at any one time only one application can interact with the user. The session manager coordinates these requests and grants every application in need of user interaction a timeslot in which it may interact with the user
   - try to cancel the whole shutdown; the session manager may or may not honor that request.
4. After saving is done the session manager signals all applications to exit.
5. Applications answer the exit message by disconnecting from the session manager.
6. After all applications have exited or a reasonable timeout the session manager kills all remaining applications and finally lets the desktop shut down.

## Exported Interfaces

## ◆ XSessionManagerClient

interface XSessionManagerClient

XSessionManagerClient (of which there can only be one instance per process) provides an application's interface to the session manager.

It keeps track of every listener inside the application and multiplexes the session manager's signals as well as requests to the session manager.

The documentation for this service was generated from the following file:

- com/sun/star/frame/SessionManager.idl